package com.yem.wm.bc.change.common.consts;

import kd.mpscmm.msbd.common.enums.MultiLangEnumBridge;

/**
 * @author 夜子
 * @ClassName BizCancelStatusEnum
 * @description: 可用状态
 * @date 2023年08月03日
 * @version: 1.0
 */
public enum BizCancelStatusEnum {
    UNCANCEL(new MultiLangEnumBridge("未作废", "BizCancelStatusEnum_0", "yem-yc-changemodel"), "A"),
    CANCEL(new MultiLangEnumBridge("已作废", "BizCancelStatusEnum_1", "yem-yc-changemodel"), "B");

    private String value;
    private MultiLangEnumBridge bridge = null;

    private BizCancelStatusEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
        BizCancelStatusEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            BizCancelStatusEnum status = var2[var4];
            if (value.equals(status.getValue())) {
                name = status.getName();
                break;
            }
        }

        return name;
    }
}
